%global _empty_manifest_terminate_build 0
Name:		python-faust
Version:	1.3.0
Release:	5
Summary:	Python Stream processing.
License:	BSD 3-Clause and CC-BY-SA-4.0
URL:		http://faust.readthedocs.io/
Source0:	https://files.pythonhosted.org/packages/91/c3/75878084aba2bbcf680b0c57f00b9586b0b9d84a74695260b489666e579b/faust-1.3.0.tar.gz

Patch0001:      backport-Fixes-missing-await-in-consumer.wait_empty.patch
Patch0002:      backport-loghandlers-is-list-of-Handler-not-StreamHandler.patch
Patch0003:      backport-Fixes-test-issue-after-table-serializer-choice-pull-.patch

BuildArch:	noarch
BuildRequires:  python3
BuildRequires:	python3-aiohttp
BuildRequires:	python3-click
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-colorclass
BuildRequires:	python3-mode
BuildRequires:	python3-terminaltables
BuildRequires:	python3-yarl
%description
Python Stream processing.

%package -n python3-faust
Summary:	Python Stream processing.
Provides:	python-faust

%description -n python3-faust
Python Stream processing.

%package help
Summary:	Development documents and examples for faust
Provides:	python3-faust-doc
%description help
Development documents and examples for faust.

%prep
%autosetup -n faust-%{version} -p1
#compitable to openEuler
sed -i 's/mode>=2.0.3,<3.0/mode>=4.4.0/g' requirements/default.txt
sed -i 's/click>=6.7,<7.0/click>=7.0/g' requirements/default.txt
sed -i '2d;7d' requirements/default.txt

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-faust -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jan 9 2023 Bolehu <heyaohua@xfusion.com> - 1.3.0-5
- Fixes test issue after table serializer choice pull req

* Mon Jan 9 2023 Bolehu <heyaohua@xfusion.com> - 1.3.0-4
- loghandlers is list of Handler not StreamHandler

* Sat Jan 7 2023 Bolehu <heyaohua@xfusion.com> - 1.3.0-3
- Fixes missing await in consumer.wait_empty

* Fri Aug 27 2021 wutao <wutao61@huawei.com> - 1.3.0-2
- Change faust.tar.gz source from github to pypi to 
  compatible with openEuler

* Thu Jul 22 2021 wutao <wutao61@huawei.com> - 1.3.0-1
- Package init
